Robotics Service Bus - Enhancement #925
Tools should work without libspread
03/05/2012 12:42 PM - J. Moringen

Status: Resolved Start date: 03/05/2012
Priority: Normal Due date:

Assignee: J. Moringen % Done: 100%
Category: Common Lisp Tools Estimated time: 0.00 hour
Target version: rsb-0.7

Description

When libspread (or equivalent) is not available at runtime, the tools should still work, but disable the Spread transport.

Associated revisions

Revision 656ab94d - 03/09/2012 04:13 PM - J. Moringen
Do not fail if Spread library cannot be loaded in main/dump.lisp
fixes #925
- main/dump.lisp (reload-spread-and-main): handle failures to load

Spread library by just warning and then continuing

Revision 5718ecc3 - 03/11/2012 04:22 PM - J. Moringen
Added troubleshooting in manual/preparation.rst
refs #925
- manual/preparation.rst: added troubleshooting section; contains
description of missing-spread-library problem

Revision 1382245b - 03/11/2012 10:04 PM - J. Moringen

merged handling of absent Spread library from trunk (r3433, r3438) refs #925

Revision 6bb2983e - 03/11/2012 10:04 PM - J. Moringen

merged handling of absent Spread library from trunk (r3433, r3438) refs #925

History

#1 - 03/09/2012 04:17 PM - J. Moringen
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r3433.
